Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.WrapperData Class Reference

## Public Member Functions
| WrapperData ()
| Constructor.
| WrapperData (int version, String type, String app_id, String uri, String description)
| Constructor, with parameters. More...
| WrapperData (WrapperData wrapper_data)
| Constructor, with another wrapper data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getApp_id ()
| Get application identity to indicate applications to open this wrapper data. More...
String | getDescription ()
| Get description for wrapper file to show applications or confront users prompt information. More...
String | getType ()
| Get wrapper type to indicate a type of the current wrapper file. More...
String | getUri ()
| Get the URI for consumers to get more information. More...
int | getVersion ()
| Get wrapper version. More...
void | set (int version, String type, String app_id, String uri, String description)
| Set value. More...
void | setApp_id (String value)
| Set application identity to indicate applications to open this wrapper data. More...
void | setDescription (String value)
| Set description for wrapper file to show applications or confront users prompt information. More...
void | setType (String value)
| Set wrapper type to indicate a type of the current wrapper file. More...
void | setUri (String value)
| Set the URI for consumers to get more information. More...
void | setVersion (int value)
| Set wrapper version. More...

## Detailed Description

This class represents wrapper data, which is used for a wrapped PDF document.

## Constructor & Destructor Documentation

## ◆ WrapperData() [1/2]

com.foxit.sdk.pdf.WrapperData.WrapperData | ( | int | version,
|  | String | type,
|  | String | app_id,
|  | String | uri,
|  | String | description
| ) |  |

Constructor, with parameters.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

## ◆ WrapperData() [2/2]

com.foxit.sdk.pdf.WrapperData.WrapperData | ( | WrapperData | wrapper_data | ) |

Constructor, with another wrapper data object.

Parameters

  [in] | wrapper_data | Another wrapper data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.WrapperData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getApp_id()

com.foxit.sdk.pdf.WrapperData.getApp_id | ( |  | ) |

Get application identity to indicate applications to open this wrapper data.

Returns
  Application identity to indicate applications to open this wrapper data.

## ◆ getDescription()

com.foxit.sdk.pdf.WrapperData.getDescription | ( |  | ) |

Get description for wrapper file to show applications or confront users prompt information.

Returns
  Description for wrapper file to show applications or confront users prompt information.

## ◆ getType()

com.foxit.sdk.pdf.WrapperData.getType | ( |  | ) |

Get wrapper type to indicate a type of the current wrapper file.

Returns
  Wrapper type to indicate a type of the current wrapper file.

## ◆ getUri()

com.foxit.sdk.pdf.WrapperData.getUri | ( |  | ) |

Get the URI for consumers to get more information.

Returns
  The URI for consumers to get more information.

## ◆ getVersion()

com.foxit.sdk.pdf.WrapperData.getVersion | ( |  | ) |

Get wrapper version.

Returns
  Wrapper version.

## ◆ set()

void com.foxit.sdk.pdf.WrapperData.set | ( | int | version,
|  | String | type,
|  | String | app_id,
|  | String | uri,
|  | String | description
| ) |  |

Set value.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

Returns
  None.

## ◆ setApp_id()

com.foxit.sdk.pdf.WrapperData.setApp_id | ( | String | value | ) |

Set application identity to indicate applications to open this wrapper data.

Parameters

  [in] | value | Application identity to indicate applications to open this wrapper data.

Returns
  None.

## ◆ setDescription()

com.foxit.sdk.pdf.WrapperData.setDescription | ( | String | value | ) |

Set description for wrapper file to show applications or confront users prompt information.

Parameters

  [in] | value | Description for wrapper file to show applications or confront users prompt information.

Returns
  None.

## ◆ setType()

com.foxit.sdk.pdf.WrapperData.setType | ( | String | value | ) |

Set wrapper type to indicate a type of the current wrapper file.

Parameters

  [in] | value | Wrapper type to indicate a type of the current wrapper file.

Returns
  None.

## ◆ setUri()

com.foxit.sdk.pdf.WrapperData.setUri | ( | String | value | ) |

Set the URI for consumers to get more information.

Parameters

  [in] | value | The URI for consumers to get more information.

Returns
  None.

## ◆ setVersion()

com.foxit.sdk.pdf.WrapperData.setVersion | ( | int | value | ) |

Set wrapper version.

Parameters

  [in] | value | Wrapper version.

Returns
  None.